<?php
/*
 * TDTIS - Copyright 2006 Alternance-Soft
 * Contributeur : Jrme Schell, Aot 2006 
 *
 * contact@alternancesoft.com
 *
 * Ce logiciel est un programme informatique servant  la
 * dmatrialisation de l'administration. 
 *
 * Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA 
 * sur le site "http://www.cecill.info".
 *
 * En contrepartie de l'accessibilit au code source et des droits de copie,
 * de modification et de redistribution accords par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
 * seule une responsabilit restreinte pse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concdants successifs.
 *
 * A cet gard  l'attention de l'utilisateur est attire sur les risques
 * associs au chargement,   l'utilisation,   la modification et/ou au
 * dveloppement et  la reproduction du logiciel par l'utilisateur tant 
 * donn sa spcificit de logiciel libre, qui peut le rendre complexe  
 * manipuler et qui le rserve donc  des dveloppeurs et des professionnels
 * avertis possdant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invits  charger  et  tester  l'adquation  du
 * logiciel  leurs besoins dans des conditions permettant d'assurer la
 * scurit de leurs systmes et ou de leurs donnes et, plus gnralement, 
 *  l'utiliser et l'exploiter dans les mmes conditions de scurit. 
 *
 * Le fait que vous puissiez accder  cet en-tte signifie que vous avez 
 * pris connaissance de la licence CeCILL, et que vous en avez accept les
 * termes.
*/
?>
<?php
/**
 * \file actes_download_file.php
 * \brief Page de tlchargement des fichiers d'une transaction
 * \author Jrme Schell <j.schell@alternancesoft.com>
 * \date 29.01.2007
 * 
 *
 * Cette page permet de tlcharger les fichiers d'une transaction
 * (enveloppe ou fichier individuels)
 *
 * Modifications :
 * Auteur   Date       Commentaire
 *
 */

// Configuration
require_once("../../../config/config.php");
require_once(SITEROOT . '/class/include.class.php');
//require_once(SITEROOT . '/public.ssl/modules/actes/class/ActesEnvelope.class.php');
//require_once(SITEROOT . '/public.ssl/modules/actes/class/ActesIncludedFile.class.php');
require_once(SITEROOT . '/public.ssl/modules/etat_civil/class/etat_civilTransaction.class.php');

// Instanciation du module courant
$module = new Module();
if (! $module->initByName("etat_civil")) {
  $_SESSION["error"] = "Erreur d'initialisation du module";
  header("Location: " . WEBSITE_SSL);
  exit();
}

$me = new User();

if (! $me->authenticate()) {
  $_SESSION["error"] = "chec de l'authentification";
  header("Location: " . WEBSITE);
  exit();
}

if (! $module->isActive()|| ! $me->canAccess($module->get("name"))) {
  $_SESSION["error"] = "Accs refus";
  header("Location: " . WEBSITE_SSL);
  exit();
}

$transaction_Id = Helpers::getVarFromGet("id");
//tmp
echo "<br>ec: download_file: TRANSCATION id:".$transaction_id;


/*
$envId
$fileId = Helpers::getVarFromGet("file");
$type = Helpers::getVarFromGet("type");
*/

$myAuthority = new Authority($me->get("authority_id"));

$entity = new etat_civilTransaction();
$filename = $entity -> getFilenameForId($transaction_id);

echo "<br>ec: download_file: filename".$filename;


$ownerId =  $entity ->getUserForId($transaction_id);

//tmp
echo "<br>ec: download_file: owner_id".$ownerId;

$owner = new User($ownerId);
$owner->init();



if (! $entity->sendfile($filename)) {
  $_SESSION["error"] = "Erreur d'envoi du fichier : " . $entity->getErrorMsg();
  header("Location: " . WEBSITE_SSL);
  exit();
}

?>
